Foreman - Bug #11021

PUT /api/v2/config_templates/:id returns an incomplete set of attributes
07/06/2015 04:23 AM - Alon Goldboim

Status: Duplicate
Priority: Normal
Assignee:

Category:

Target version:

Difficulty: Fixed in Releases:

Triaged: Found in Releases:
Bugzilla link: 1234973 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1234973
Description of problem:
A config template has at least the following attributes:
audit_comment

id

locked

name

operatingsystem
organization

snippet

template
template_combinations
template_kind

When one updates a config template, the following attributes are returned:

created_at
default

id

locked

name

snippet

template
template_kind_id
updated_at
vendor

The following attributes are missing from the response:

audit_comment
operatingsystem
organization
template_combinations

Version-Release number of selected component (if applicable):
Satellite 6.1.0. Foreman-debug is attached.

How reproducible:
100%

Steps to Reproduce:
1. Issue HTTP PUT request to https://sat.example.com/api/v2/config_templates/:id

2. Capture the response. Examine the JSON payload and discover that several attributes are not mentioned.

3.
https://bugzilla.redhat.com/show_bug.cgi?id=1234973
https://sat.example.com/api/v2/config_templates/:id

Actual results:
See "Description of problem" section.

Expected results:
See "Description of problem" section.

Additional info:

Related issues:
Is duplicate of Foreman - Bug #10356: POST and PUT should use RABL templates ... Closed 05/04/2015

History

#1 - 07/06/2015 04:32 AM - Dominic Cleal
- Is duplicate of Bug #10356: POST and PUT should use RABL templates for the response. added

#2 - 07/06/2015 04:32 AM - Dominic Cleal

- Status changed from New to Duplicate

This also looks identical to the other bug | marked as a dupe...
